# sritem/sridx

Provides access to the value (`sritem`) and index (`sridx`) when calling a [service request](/reference/integration_components/servicerequest.md) multiple times using the [`call_for_each`](/reference/integration_components/servicerequest.md#call_for_each) column.

These variables are only populated when the `call_for_each` column is set, and are only accessible in the service request's lifecycle hooks and in all columns on its [field mappings](/reference/integration_components/field-mapping.md). They are usually used to configure field mappings when calling a service request repeatedly.

{% hint style="info" %}
Read more about the `call_for_each` column [here](/reference/integration_components/servicerequest.md#call_for_each).
{% endhint %}

```
# Given
call_for_each = ["abc@email.com", "def@email.com", "ghi@email.com"]

# First iteration
fitem ==> "abc@email.com"
fidx ==> 0

# Second iteration
fitem ==> "def@email.com"
fidx ==> 1

etc...
```

**Example usage**

```
# Given
call_for_each = [
    {"name": "Sally", "email": "sally@email.com"},
    {"name": "Benjamin", "email": "benjamin@email.com"},
    {"name": "David", "email": "david@email.com"}
]

# To send an email to each individual, set the following on the service request's field mapping
field: email_address
value: sritem.email

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://glyue.docs.sandboxbanking.com/reference/special_variables/iterables/sritem-sridx.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
